=== doc/requirements.txt ===

# Align with conf.py needs_sphinx requirement
sphinx>=4.5.0
furo
sphinxcontrib.mermaid
