=== debian/changelog ===
rsyslog (8.2510.0-2) unstable; urgency=medium

  * Cherry-pick various documentation build fixes from upstream Git.
    Vendor the JavaScript dependencies for better offline usage.
  * (Re-)add doc-base support for rsyslog-doc
  * Add lintian-overrides for no-debconf-templates to rsyslog-mysql and
    rsyslog-pgsql.
    Those packages use the dbconfig-common framework which provides the
    debconf templates for setting up a database connection.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Oct 2025 22:22:23 +0200

rsyslog (8.2510.0-1) unstable; urgency=medium

  * New upstream version 8.2510.0
  * Rebase patches
  * Install new mmleefparse module.
    This module can be used to parse log messages that follow the IBM Log
    Event Extended Format (LEEF).
  * Update debian/copyright
  * Build rsyslog documentation and ship it in rsyslog-doc.
    It superseedes the standalone rsyslog-doc source package.
    Deviate from upstream and explicitly use sphinx_rtd_theme instead of the
    furo theme (smaller on-disk footprint of the resulting documentation,
    much faster build times).

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Oct 2025 18:35:28 +0200
