=== debian/control ===
Source: rsyslog
Section: admin
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               autoconf-archive,
               zlib1g-dev,
               libzstd-dev (>= 1.4.0),
               libhiredis-dev,
               libevent-dev,
               default-libmysqlclient-dev,
               libpq-dev,
               libmongoc-dev,
               libcurl4-openssl-dev,
               librdkafka-dev (>= 0.9.1),
               libkrb5-dev,
               libgnutls28-dev,
               libssl-dev,
               librelp-dev (>= 1.4.0),
               libestr-dev (>= 0.1.9),
               liblognorm-dev (>= 2.0.3),
               libfastjson-dev (>= 0.99.8),
               libczmq-dev (>= 3.0.2),
               libsnmp-dev,
               uuid-dev,
               libsystemd-dev (>= 209) [linux-any],
               pkgconf,
               bison,
               flex,
               procps <!nocheck>,
               python3 <!nocheck>,
               libfaketime <!nocheck>,
               lsof [linux-any] <!nocheck>,
               logrotate <!nocheck>,
               iproute2 [linux-any] <!nocheck>,
               curl <!nocheck>,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib-mermaid <!nodoc>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
Vcs-Browser: https://salsa.debian.org/debian/rsyslog
Homepage: https://www.rsyslog.com/

Package: rsyslog
Architecture: any
Conflicts: system-log-daemon,
           linux-kernel-log-daemon
Provides: system-log-daemon,
          linux-kernel-log-daemon
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: logrotate
Suggests: rsyslog-doc,
          rsyslog-mysql,
          rsyslog-pgsql,
          rsyslog-mongodb,
          rsyslog-elasticsearch,
          rsyslog-kafka,
          rsyslog-hiredis,
          rsyslog-snmp,
          rsyslog-kubernetes,
          rsyslog-docker,
          rsyslog-clickhouse,
          rsyslog-openssl | rsyslog-gnutls,
          rsyslog-gssapi,
          rsyslog-relp
Description: reliable system and kernel logging daemon
 Rsyslog is a multi-threaded implementation of syslogd (a system utility
 providing support for message logging), with features that include:
  * reliable syslog over TCP, SSL/TLS and RELP
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine-grained output format control
  * failover to backup destinations
  * enterprise-class encrypted syslog relaying
 .
 It is the default syslogd on Debian systems.

Package: rsyslog-mysql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-mysql | dbconfig-no-thanks,
         ucf
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-pgsql | dbconfig-no-thanks,
         ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a PostgreSQL
 database.

Package: rsyslog-mongodb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: MongoDB output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to MongoDB, a
 scalable, high-performance, open source NoSQL database.

Package: rsyslog-elasticsearch
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Elasticsearch output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to Elasticsearch, a
 distributed, multitenant-capable full-text search engine with a RESTful web
 interface and schema-free JSON documents.

Package: rsyslog-kafka
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Apache Kafka support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via Apache
 Kafka, a distributed and scalable message broker offering strong durability
 and fault-tolerance guarantees.

Package: rsyslog-gssapi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: krb5-user
Description: GSSAPI authentication and encryption support for rsyslog
 These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
 encrypted syslog messages. GSSAPI is commonly used for Kerberos
 authentication.

Package: rsyslog-gnutls
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog (GnuTLS)
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the syslog-transport-tls IETF standard protocol using GnuTLS.

Package: rsyslog-openssl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: TLS/DTLS protocol support for rsyslog (OpenSSL)
 The netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the syslog-transport-tls IETF standard protocol using TLS.
 .
 The DTLS plugins allow rsyslog to send and receive syslog messages via UDP
 using the DTLS protocol. This enables secure message exchange as specified in
 RFC 6012.

Package: rsyslog-relp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

Package: rsyslog-czmq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: ZeroMQ protocol support for rsyslog via CZMQ
 These plugins allow rsyslog to send and receive ZeroMQ syslog
 messages via the CZMQ library.

Package: rsyslog-hiredis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Redis support for rsyslog
 These plugins allow rsyslog to write syslog messages to Redis and read entries
 from it. Redis is a key-value database with optional persistency.

Package: rsyslog-snmp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: SNMP protocol support for rsyslog
 This plugin allows rsyslog to send syslog messages via SNMPv1 and SNMPv2c
 traps. By default, SNMPv2c is preferred.

Package: rsyslog-kubernetes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Kubernetes metadata support for rsyslog
 These plugins allow rsyslog to augment syslog messages with Kubernetes
 metadata.

Package: rsyslog-docker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Suggests: docker.io
Description: Docker input plugin for rsyslog
 This plugin allows rsyslog to receive container logs from Docker (engine) via
 the Docker Rest API.

Package: rsyslog-clickhouse
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: ClickHouse output plugin for rsyslog
 This plugin provides native support for logging to ClickHouse.
 ClickHouse is a column-oriented DBMS (columnar database management system) for
 online analytical processing (OLAP) that allows users to generate analytical
 reports using SQL queries in real-time.

Package: rsyslog-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: doc-base,
          www-browser
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for rsyslog
 This package contains detailed HTML documentation for rsyslog.
 .
 It describes the general configuration file syntax for filters, actions,
 templates, etc, and has detailed information for all available configuration
 directives.
