=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DPATH_PIDFILE=\"/run/rsyslogd.pid\"

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS), linux)
confflags += 	--enable-imptcp \
		--enable-imjournal \
		--enable-omjournal \
		--enable-kmsg
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--enable-mysql \
		--enable-pgsql \
		--enable-ommongodb \
		--enable-elasticsearch \
		--enable-clickhouse \
		--enable-imkafka \
		--enable-omkafka \
		--enable-mail \
		--enable-imfile \
		--enable-imfile-tests \
		--enable-impstats \
		--enable-klog \
		--enable-gssapi-krb5 \
		--enable-gnutls \
		--enable-openssl \
		--enable-relp \
		--enable-snmp \
		--enable-pmaixforwardedfrom \
		--enable-pmciscoios \
		--enable-pmcisconames \
		--enable-pmlastmsg \
		--enable-pmnormalize \
		--enable-pmsnare \
		--enable-omstdout \
		--enable-omprog \
		--enable-omuxsock \
		--enable-mmanon \
		--enable-mmnormalize \
		--enable-mmjsonparse \
		--enable-mmutf8fix \
		--enable-mmpstrucdata \
		--enable-mmsequence \
		--enable-mmfields \
		--enable-mmrm1stspace \
		--enable-mmkubernetes \
		--enable-imdocker \
		--enable-imczmq \
		--enable-omczmq \
		--enable-imhiredis \
		--enable-omhiredis \
		--enable-imdtls \
		--enable-omdtls \
		--enable-fmhash \
		--enable-testbench \
		--enable-extended-tests \
		--enable-imdiag \
		--enable-libzstd \
		--disable-libgcrypt \
		--disable-generate-man-pages \
		--disable-fmhttp \
		--disable-liblogging-stdlog \
		--without-valgrind-testbench

override_dh_auto_build-indep:
	rm -f doc/source/concepts/log_pipeline.rst
	sphinx-build -b html -D html_theme=sphinx_rtd_theme doc/source/ debian/build/
	python3 doc/tools/fix-mermaid-offline.py debian/build/

override_dh_auto_install-indep:

execute_after_dh_auto_install-arch:
	install --mode=644 -D plugins/ommysql/createDB.sql \
		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql \
		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

execute_before_dh_install-arch:
	find debian/tmp -name '*.la' -print -delete

override_dh_auto_test-indep:

override_dh_auto_test-arch:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	PATH=$$PATH:/usr/sbin dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
endif
