=== debian/tests/control ===
Tests: logcheck
Depends: rsyslog, logcheck, coreutils
Restrictions: needs-root, breaks-testbed
