## rsyslog 8.2512.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 sphinx>=4.5.0
 furo
 sphinxcontrib.mermaid
+sphinx-sitemap
