=== debian/changelog ===
rsyslog (8.2512.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 08 Jan 2026 08:14:04 +0000

rsyslog (8.2512.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3.
    Drop Priority and Rules-Requires-Root field.
  * Add explicit Build-Depends on openssl.
    It is required by the test suite, so mark it as <!nocheck>.
    (Closes: #1124951)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jan 2026 20:32:16 +0100

rsyslog (8.2512.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 24 Dec 2025 07:18:38 +0000

rsyslog (8.2512.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Demote documentation dependencies to B-D-I.
    Add an explicit Build-Depends on python3-docutils for generating the man
    pages. (Closes: #1123696)

  [ Josselin Mouette ]
  * Enable HTTP output plugin and ship it as rsyslog-http (Closes: #1121114)

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Dec 2025 23:31:28 +0100

rsyslog (8.2512.0-1devuan2) unstable; urgency=medium

  * Add temporary patch to work around Debian #1114612.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 12 Dec 2025 16:53:42 +0000

rsyslog (8.2512.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2512.0-1.
  * d/control: remove redundant Depends: lsb-base.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 12 Dec 2025 07:12:33 +0000

rsyslog (8.2512.0-1) unstable; urgency=medium

  * New upstream version 8.2512.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Dec 2025 18:21:10 +0100

rsyslog (8.2510.0-5devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-5.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 23 Nov 2025 21:57:51 +0000

rsyslog (8.2510.0-5) unstable; urgency=medium

  * Increase timeout of reprotest to 3h for salsa-ci
  * Skip imfile-logrotate-async.sh.
    This test appears to be flaky and fails rather often on
    reproducible-builds.org.
    See https://github.com/rsyslog/rsyslog/issues/6293

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Nov 2025 14:04:37 +0100

rsyslog (8.2510.0-4devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-4.

 -- Mark Hindley <leepen@debian.org>  Wed, 19 Nov 2025 21:38:32 +0000

rsyslog (8.2510.0-4) unstable; urgency=medium

  * Skip tests based on omfwd-lb-1target-retry-test_skeleton.sh and
    omfwd-lb-1target-retry-test_skeleton-TargetFail.sh.
    Those tests appear to be flaky and fail rather often on
    reproducible-builds.org, especially on arm64.
    See https://github.com/rsyslog/rsyslog/issues/6308 (Closes: #1094069)

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Nov 2025 20:56:34 +0100

rsyslog (8.2510.0-3) unstable; urgency=medium

  * Run dh_auto_test with --no-parallel.
    If there is a segfault in one of the tests, the core file detection
    might attribute the core file to the wrong test. This can lead to
    unreliable results.
    See https://github.com/rsyslog/rsyslog/issues/6268
  * Skip potentially buggy imrelp-tls-cfgcmd.sh.
    This test triggers a segfault in tcpflood/librelp, so the root cause
    might be elsewhere. While this is being investigated, skip the test for
    now. (Closes: #1100103)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Nov 2025 21:34:52 +0100

rsyslog (8.2510.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 25 Oct 2025 07:14:30 +0100

rsyslog (8.2510.0-1devuan2) unstable; urgency=medium

  * d/control: remove rsyslog-doc Built-Using.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Oct 2025 07:43:35 +0100

rsyslog (8.2510.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/8.2510.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Oct 2025 06:40:25 +0100
