=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: rsyslog
 Section: admin
-Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark Hindley <mark@hindley.org.uk>,
+	Ivan J. <parazyd@dyne.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                autoconf-archive,
@@ -24,7 +26,6 @@
                libczmq-dev (>= 3.0.2),
                libsnmp-dev,
                uuid-dev,
-               libsystemd-dev (>= 209) [linux-any],
                pkgconf,
                bison,
                flex,
@@ -35,14 +36,16 @@
                logrotate <!nocheck>,
                iproute2 [linux-any] <!nocheck>,
                curl <!nocheck>,
-               dh-sequence-sphinxdoc <!nodoc>,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-sphinxcontrib-mermaid <!nodoc>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
-Vcs-Browser: https://salsa.debian.org/debian/rsyslog
+               openssl <!nocheck>,
+               python3-docutils <!nodoc>,
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     python3-sphinx <!nodoc>,
+                     python3-sphinx-rtd-theme <!nodoc>,
+                     python3-sphinxcontrib-mermaid <!nodoc>,
+Standards-Version: 4.7.3
+Vcs-Git: https://git.devuan.org/devuan/rsyslog.git
+Vcs-Browser: https://git.devuan.org/devuan/rsyslog.git
+Origin: Devuan
 Homepage: https://www.rsyslog.com/
 
 Package: rsyslog
@@ -240,10 +243,18 @@
  online analytical processing (OLAP) that allows users to generate analytical
  reports using SQL queries in real-time.
 
+Package: rsyslog-http
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version}),
+Description: Generic HTTP output plugin for rsyslog
+ This plugin allows rsyslog to send syslog messages encoded in JSON over
+ HTTP REST APIs, including Grafana Loki.
+
 Package: rsyslog-doc
 Section: doc
 Architecture: all
-Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: doc-base,
