=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,9 @@
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 confflags += 	--enable-imptcp \
-		--enable-imjournal \
-		--enable-omjournal \
+		--disable-imjournal \
+		--disable-omjournal \
+		--disable-libsystemd \
 		--enable-kmsg
 endif
 
@@ -41,6 +42,7 @@
 		--enable-pmlastmsg \
 		--enable-pmnormalize \
 		--enable-pmsnare \
+		--enable-omhttp \
 		--enable-omstdout \
 		--enable-omprog \
 		--enable-omuxsock \
@@ -62,7 +64,6 @@
 		--enable-omdtls \
 		--enable-fmhash \
 		--enable-testbench \
-		--enable-extended-tests \
 		--enable-imdiag \
 		--enable-libzstd \
 		--disable-libgcrypt \
@@ -91,5 +92,5 @@
 
 override_dh_auto_test-arch:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	PATH=$$PATH:/usr/sbin dh_auto_test || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
+	PATH=$$PATH:/usr/sbin dh_auto_test --no-parallel || ( cat tests/test-suite.log; exit 1 ) && ( cat tests/test-suite.log )
 endif
